1 Reply Latest reply: Apr 18, 2012 2:14 PM by Phani Reddy V RSS

    Failed to create a new SAX parser

    Jeyaseelan A Newbie

      Hi Guys,


      i am using JBoss 4.0.5 for my enterprise application. i would like to update my application server from JBoss 4.0.5 to JBoss 5.1.0. i am using EJB project. i have EJB jar, WAR file and EAR file. this project is working in JBoss 4.0.5, but not in JBoss 5.1.0. i am getting this error.


      Caused by: org.jboss.xb.binding.JBossXBException: Failed to create a new SAX parser

          at org.jboss.xb.binding.parser.sax.SaxJBossXBParser.<init>(SaxJBossXBParser.java:97)

          at org.jboss.xb.binding.UnmarshallerImpl.<init>(UnmarshallerImpl.java:56)

          at org.jboss.xb.binding.UnmarshallerFactory$UnmarshallerFactoryImpl.newUnmarshaller(UnmarshallerFactory.java:96)

          ... 74 more

      Caused by: javax.xml.parsers.ParserConfigurationException: Feature 'http://apache.org/xml/features/xinclude' is not recognized.

          at org.apache.xerces.jaxp.SAXParserFactoryImpl.newSAXParser(Unknown Source)

          at org.jboss.xb.binding.parser.sax.SaxJBossXBParser.<init>(SaxJBossXBParser.java:92)

          ... 76 more

      10:54:25,656 ERROR [JBossContextConfig] XML error parsing: jboss.web/localhost/context.xml.default

      org.jboss.xb.binding.JBossXBRuntimeException: Failed to create a new SAX parser



      i have gone through some of the discussion given in this site. based on that i have removed xml related jar files like (xerces.jar, xercesImpl.jar). and i have changed all xml config file(application.xml, jboss-web.xml) from JBoss 4.0.5 to JBoss 5.1.0.  still i am getting this error. somebody could help me to resolve this issue. so that i can use JBoss 5.1.0. i need your help to proceed with JBoss 5.1.0.


      herewith i have attached the error log.



      Seelan A